Ads and Commerce
Ads and Commerce
Resources

Ad Account Asyncadrequestsets

Updated: Mar 9, 2021

Reading

Async ad request sets from this Ad Account.

Example

GET /v25.0/{ad-account-id}/asyncadrequestsets HTTP/1.1
Host: graph.facebook.com
If you want to learn how to use the Graph API, read our Using Graph API guide

Parameters

Parameter Description
is_completed
boolean
If true, we only return completed ad request sets.

Fields

Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of AdAsyncRequestSet nodes.
paging
For more details about pagination, see the Graph API guide.

Error Codes

Error Code Description
200
Permissions error

Creating

/act_{ad_account_id}/asyncadrequestsets

You can make a POST request to asyncadrequestsets edge from the following paths:
When posting to this edge, no Graph object will be created.

Parameters

Parameter Description
ad_specs
list<dictionary { non-empty string : <string> }>
Specs for ads in the request set
required
name
UTF-8 encoded string
Name of the request set
required
notification_mode
enum{OFF, ON_COMPLETE}
Specify 0 for no notifications and 1 for notification on completion.
notification_uri
URL
If notifications are enabled, specify the URL to send them.

Return Type

This endpoint supports read-after-write and will read the node represented by id in the return type.
Struct  {
id: numeric string,
}

Error Codes

Error Code Description
100
Invalid parameter

Updating

You can't perform this operation on this endpoint.

Deleting

You can't perform this operation on this endpoint.
Did you find this page helpful?
Thumbs up icon
Thumbs down icon